[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonApplication.GUIMainLoop

GUI main loop callback

## Declaration

Source position: daemonapp.pp line 378

`public property TCustomDaemonApplication.GUIMainLoop : TGuiLoopEvent read FGUIMainLoop write FGuiMainLoop;`

## Description

GUIMainLoop contains a reference to a method that can be called to process a main GUI loop. The procedure should return only when the main GUI has finished and the application should exit. It is called when the daemons are running.

## See also

TCustomDaemonApplication.GuiHandle |  | Handle of GUI loop main application window handle

Documentation generated on: Feb 26 2014